Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 24 Aug 2022 17:40:29 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I'm very sorry to say bad and worst experience order no.9583145350, I have place an order on 21st  that item shows delivery on 22nd till today 24 neither reach the item and no one called or not even shows where is the item lying, no contact details for delivery , the item which I need for travelling and I bought it from other online shop which deliver the very next day. Namshi , and call center cannot help me to cancel the order they have ask me to wait another 14 days to cancel the item and refund to my account, why should I wait for 14 days if it's not my mistake, they could not deliver the item  on time,how can a customer rely on a service like this ? 
This is the second time I'm writing them , still nobody responded for the previous mail, I will not recommend anyone splash online app.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4771415